<?php
     if($_REQUEST['ajax']) {
        switch($_REQUEST['code']) {
            case "transno":
              if(RetRstField("SELECT fnid FROM tluom WHERE ftuom_code='{$_REQUEST['fttrans_no']}'")) {
                  ?>
                  
                  alert('Kode Satuan sudah dipakai... ');
            <?php
              }
              else {
                    ?>
                   
                    
                  submitbutton('Simpan','','','','');
                   
            <?php
              }
            break;
        }       
        die("");
    }
    
    Getsecurity("satuan");

    $objAxpDB->ViewName("Daftar Satuan");
//    $objAxpDB->ViewTable("vISatuan");
    $objAxpDB->ViewSQL("SELECT fnid, ftuom_code, ftuom_name FROM tluom ORDER BY ftuom_code, ftuom_name");
    $objAxpDB->ViewCaption("ID, Kode Satuan, Nama Satuan");
    
    $objAxpDB->FormName("Satuan"); 
    $objAxpDB->FormSQL("SELECT  ftuom_code, ftuom_name, fnstatus FROM tluom");
    $objAxpDB->FormCaption(" Kode Satuan, Nama Satuan, Status");
    $objAxpDB->FormPosition("TL, TL, TL"); 
     
    $objAxpDB->Lookup('fnstatus', 'SELECT fntrans_status_code, fttrans_status_name FROM tstransaction_status where fntrans_status_code<>2 and fntrans_group_code=9', 'fntrans_status_code', 'fttrans_status_name', 1,true);

     $objAxpDB->SetStatus("id");                        
        if ($objAxpDB->GetStatus("id") == "") {
                $objAxpDB->ButtonShow("baru, cetak_daftar,  export_excel , tutup");
                
        }
        elseif ($objAxpDB->GetStatus("id") == 0) {
                $objAxpDB->ButtonShow("reset, simpan, tutup");
                $objAxpDB->FormLocked("0,0,0,1,0,0");
        }
        elseif ($objAxpDB->GetStatus("id") != 0) {
                $objAxpDB->ButtonShow("update, hapus, tutup"); 
                $objAxpDB->FormLocked("1, 0, 0");
        }
        $objAxpDB->Process();
        $objAxpDB->WriteHtmlTable();
			
?>
